Subject: [bug#38546] [PATCH v5] Julia: Update to 1.3.1

From: Efraim Flashner <[email-masked]>
Date: Tue, 7 Apr 2020 09:05:17 +0300

On Tue, Apr 07, 2020 at 08:41:56AM +0300, Efraim Flashner wrote:
> On Tue, Apr 07, 2020 at 01:18:08AM +0200, Nicolò Balzarotti wrote:
> > Hello again, the build completed right now.
> > 
> > Efraim Flashner <[email-masked]> writes:
> > 
> > > On Mon, Apr 06, 2020 at 10:18:25AM +0200, Nicolò Balzarotti wrote:
> > >> Efraim Flashner <[email-masked]> writes:
> > >> 
> > >> Hi Efraim,
> > >> 
> > >> no, AFAIK.
> > >> 
> > >> The http-parser PR[1] received a comment 18 days ago, so maybe things are slowly
> > >> moving.
> > >> Julia issue[2] basically suggest to workaround the problem, while [3]
> > >> seems to have a patch for julia 1.4.0 ready.
> > >> 
> > >> In the meantime, I'm sending a quick patch that patches our http-parser
> > >> with the one applied system-wide by fedora[4].
> > >> 
> > >> How was the command to build all packages depending even indirectly from
> > >> another package (http-parser in this case)?  I'll build everything and
> > >> hope tests will pass.
> > >> 
> > >> Thanks, Nicolò
> > >> 
> > >
> > > 'guix refresh -l http-parser' will list all the packages which depend,
> > > even indirectly, on it. ./pre-inst-env guix build --no-grafts
> > > $(./pre-inst-env guix refresh -l http-parser | cut -f2 -d':') will build
> > > them all if you don't feel like copy-pasting the list.
> > >
> > 
> > Thanks!
> > 
> > From the output of guix refresh, it could not find
> > [email-masked] [email-masked].
> > 
> > This command succeeded:
> > #+begin_src bash
> > ./pre-inst-env guix build --no-grafts [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
> > #+end_src
> > 
> > But two packages are failing:
> > - [email-masked]
> > - rust-libgit2-sys
> > 
> > What do you suggest?  If those errors are actually related http-parser
> > patch, we could either fix/disable those tests or use the patched
> > version in julia only.
> > 
> > Thanks, Nicolò
> > 
> 
> One of the rust-libgit2-sys packages is known to fail and isn't an
> issue. For sssd I see that 1.16.5 has been recently released. Hopefully
> that can be a drop-in replacement.
> 

I built [email-masked] with the http-parser patch and it passed all of its
tests so that looks good.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted